Documents
Get document by disclosure index
GET
/
disclosures
/
{disclosureIndex}
Get document by disclosure index
curl --request GET \
--url https://mkk.celebi.me/api/disclosures/{disclosureIndex}import requests
url = "https://mkk.celebi.me/api/disclosures/{disclosureIndex}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mkk.celebi.me/api/disclosures/{disclosureIndex}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"pdf_url": "<string>",
"kap_file_url": "<string>",
"kap_url": "<string>",
"page_count": 123,
"parsed_pages": 123,
"document_type": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"report_date": "<string>",
"management_company": "<string>",
"line_item_value_count": 123,
"portfolio_entry_count": 123,
"portfolio_row_count": 123,
"source_path": "<string>",
"layout_region_count": 123,
"imported_at": "<string>",
"updated_at": "<string>",
"fund": {
"id": "<string>",
"fund_code": "<string>",
"fund_title": "<string>"
},
"line_item_values": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"line_item_id": 123,
"line_item_slug": "<string>",
"line_item_name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"canonical_section": "<string>",
"kind": "<string>",
"raw_section": "<string>",
"raw_label": "<string>",
"value": "<string>",
"numeric_value": 123,
"unit": "<string>",
"source": "<string>",
"mapping_method": "<string>",
"mapping_confidence": 123
}
],
"sections": [
{
"id": "<string>",
"sectionId": "<string>",
"name": "<string>",
"line_item_count": 123,
"line_items": [
{
"id": 123,
"slug": "<string>",
"name": "<string>",
"kind": "<string>",
"values": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"line_item_id": 123,
"line_item_slug": "<string>",
"line_item_name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"canonical_section": "<string>",
"kind": "<string>",
"raw_section": "<string>",
"raw_label": "<string>",
"value": "<string>",
"numeric_value": 123,
"unit": "<string>",
"source": "<string>",
"mapping_method": "<string>",
"mapping_confidence": 123
}
]
}
]
}
],
"portfolio_rows": [
{
"section": "<string>",
"columns": [
{
"header": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"raw_row": "<string>"
}
],
"portfolio_entries": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"section": "<string>",
"security": "<string>",
"isin": "<string>",
"issuer": "<string>",
"bank": "<string>",
"maturity_date": "<string>",
"transaction_date": "<string>",
"price": "<string>",
"numeric_price": 123,
"transaction_value": "<string>",
"numeric_transaction_value": 123,
"nominal_value": "<string>",
"numeric_nominal_value": 123,
"market_value": "<string>",
"numeric_market_value": 123,
"rate": "<string>",
"numeric_rate": 123,
"amount": "<string>",
"numeric_amount": 123,
"currency": "<string>",
"raw_row": "<string>",
"columns": [
{
"header": "<string>",
"key": "<string>",
"value": "<string>"
}
]
}
],
"totals": [
{
"label": "<string>",
"value": "<string>",
"unit": "<string>"
}
],
"raw_text": "<string>",
"tables": [
{
"rows": [
[
"<unknown>"
]
]
}
]
}{
"error": "<string>",
"routes": [
"<string>"
]
}Path Parameters
MKK disclosure index.
Query Parameters
Include raw text and raw table data. Truthy values: 1, true, yes, on.
Response
Document detail for the disclosure index.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get document by disclosure index
